import Vue from 'vue'
import VueRouter from 'vue-router'
import store from '../store'

import App from '../App.vue'
import Login from '../views/Login/Login.vue'
import LoginMiddle from '../views/LoginMiddle/LoginMiddle.vue'
import Home from '../views/Home/Home.vue'
// import Aa from '../views/A/Aa.vue'
// import Ab from '../views/A/Ab.vue'
// import Ac from '../views/A/Ac.vue'
// import Ad from '../views/A/Ad.vue'

Vue.use(VueRouter)

const routes = [
	{
		path: '/',
		name: 'app',
		component: App,
		children: [
			{
				path: '',
				redirect: '/login'
			},
		]
	},
	{
		path: '/login',
		name: 'login',
		component: Login
	},
	{
		path: '/loginMiddle',
		name: 'loginMiddle',
		component: LoginMiddle
	},
	{
		path: '/home',
		name: 'home',
		component: Home,
		children: [
			// {
			// 	path: '/home1_1',
			// 	name: 'home1_1',
			// 	component: Aa
			// },
			// {
			// 	path: '/home1_2',
			// 	name: 'home1_2',
			// 	component: Ab
			// },
			// {
			// 	path: '/home1_3',
			// 	name: 'home1_3',
			// 	component: Ac
			// },
			// {
			// 	path: '/home1_4',
			// 	name: 'home1_4',
			// 	component: Ad
			// }
		]
	},
	{
		path: '*',
		name: 'home',
		component: Home
		
	},
]

const router = new VueRouter({
	routes
})
// 判断下是否需要登录
router.beforeEach((to,from,next)=>{
    // console.log(store.getters.token,to)
    if(store.getters.token == null && to.path !== '/login'){
        next({
            path:'/login',
            query: {redirect:to.fullPath}
        })
    }else next()
})
export default router
